/*
 * This code is part of the programming language Ivy.
 * Ivy comes with ABSOLUTELY NO WARRANTY and is licensed under AGPL-3.0 or later.
 *    Copyright (C) 2024  VegOwOtenks
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef ERRORCODES_H
#define ERRORCODES_H

// Standard codes

#ifndef EBADFD
// File descriptor in bad state
#define EBADFD 77
#endif

#ifndef EINVAL
// Error Invalid Value (or parameter)
#define EINVAL 22
#endif

#ifndef EDESTADDRREQ
// Destination address required
#define EDESTADDRREQ 89
#endif

#ifndef ENOMEM
// Not enough memory
#define ENOMEM 12
#endif

#ifndef ECANCELED
// Not enough memory
#define ECANCELED 132
#endif

// Custom codes

#ifndef EFAILED
// Operation failed
#define EFAILED 133
#endif

#ifndef EBADSTATE
// Operation performed on bad object state
#define EBADSTATE 131
#endif

#ifndef ENOTFOUND
// Object requested could not be found
#define ENOTFOUND 129
#endif

#ifndef ERANGE
// Value was out of range, mathematical result out of range
#define ERANGE 34
#endif


#ifndef EBOUNDS
// Requested value out of array bounds
#define EBOUNDS 130
#endif

#ifndef EINPROGRESS
// Operation is already in progress
#define EINPROGRESS 134
#endif

#endif
